\documentclass{zettel2}

\geometry{top=3cm, bottom=2cm, left=2cm, right=2cm}

% Header & Footer
\pagestyle{empty}

\usepackage{setspace}
\setstretch{1.5}

\DTLloaddb{zimmereinteilung}{teilnehmende.csv}
\DTLloaddb{zimmer}{zimmer.csv}

\begin{document}

    \DTLforeach{zimmer}{%
        \currentZimmer=Zimmer,%
        \bewohner=Bewohner%
    }{%
        \ifthenelse{\equal{\bewohner}{Teilnehmende}}{%
            \begin{center}
                {\fontsize{120}{120} \selectfont \currentZimmer}
            \end{center}

            \vspace{2cm}

            \begin{Huge}
                \begin{itemize}
                    \DTLforeach{zimmereinteilung}{%
                        \vorname=Vorname,%
                        \nachname=Nachname,%
                        \zimmer=Zimmer%
                    }{%
                        \ifthenelse{%
                            \equal{\zimmer}{\currentZimmer}%
                        }{%
                            \item \vorname~\nachname%
                        }{}%
                    }
                \end{itemize}
            \end{Huge}
            \clearpage
        }{}
    }

\end{document}
